ApacheGlobalSSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.apache.ApacheGlobalSSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.apache
Interface ApacheGlobalSSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ApacheGlobalSSLSettings

extends LogicalElement

Represents Apache specific SSL settings for the overall server.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  APCHGSSL

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getConnectRandomSeed()`
`java.lang.String` | `getMutex()`
`ApacheWebContainer` | `getParent()`
`java.lang.String` | `getPassPhraseDialog()`
`java.lang.String` | `getSessionCache()`
`java.lang.String` | `getStartupRandomSeed()`
`boolean` | `hasConnectRandomSeed()`
`boolean` | `hasMutex()`
`boolean` | `hasParent()`
`boolean` | `hasPassPhraseDialog()`
`boolean` | `hasSessionCache()`
`boolean` | `hasStartupRandomSeed()`
`void` | `setConnectRandomSeed(java.lang.String randomSeed)`
`void` | `setMutex(java.lang.String mutex)`
`void` | `setParent(ApacheWebContainer parent)`
`void` | `setPassPhraseDialog(java.lang.String passPhraseDialog)`
`void` | `setSessionCache(java.lang.String sessionCache)`
`void` | `setStartupRandomSeed(java.lang.String randomSeed)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ApacheWebContainer getParent()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ApacheWebContainer parent)

### hasParent

    boolean hasParent()

### getPassPhraseDialog

    java.lang.String getPassPhraseDialog()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPassPhraseDialog

    void setPassPhraseDialog(java.lang.String passPhraseDialog)

### hasPassPhraseDialog

    boolean hasPassPhraseDialog()

### getMutex

    java.lang.String getMutex()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMutex

    void setMutex(java.lang.String mutex)

### hasMutex

    boolean hasMutex()

### getSessionCache

    java.lang.String getSessionCache()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionCache

    void setSessionCache(java.lang.String sessionCache)

### hasSessionCache

    boolean hasSessionCache()

### getStartupRandomSeed

    java.lang.String getStartupRandomSeed()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartupRandomSeed

    void setStartupRandomSeed(java.lang.String randomSeed)

### hasStartupRandomSeed

    boolean hasStartupRandomSeed()

### getConnectRandomSeed

    java.lang.String getConnectRandomSeed()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectRandomSeed

    void setConnectRandomSeed(java.lang.String randomSeed)

### hasConnectRandomSeed

    boolean hasConnectRandomSeed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD